#
# spec file for package automake (Version 1.4_p5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         automake
Copyright:    GPL
Group:        Development/Tools
Provides:     automake
Autoreqprov:  on
Version:      1.4_p5
Release:      67
%define automake_version 1.4-p5
Summary:      Tool for automatically generating GNU style Makefile.in's
URL:	      http://www.gnu.org/software/automake
Buildroot: %{_tmppath}/%{name}-root
Source: automake-%{automake_version}.tar.gz
Patch0: automake-%{automake_version}.dif
Patch1: automake-1.4-SuSE.patch
Patch2: automake-1.4-bzip2.patch

%description
Automake is a tool for automatically generating "Makefile.in"s from
files called "Makefile.am". "Makefile.am" is basically a series of
"make" macro definitions (with rules being thrown in occasionally).
The generated "Makefile.in"s are compatible to the GNU Makefile
standards.

Authors:
--------
    Tom Tromey <tromey@cygnus.com>

SuSE series: d

%prep
%setup -n automake-%{automake_version}
%patch0 -b .orig
%patch1 -b .SuSE
%patch2 -b .bzip2

%build
./configure --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   rm -rf $RPM_BUILD_ROOT
fi

%files
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
/usr/bin/aclocal
/usr/bin/automake
%doc %{_infodir}/automake.info*.gz
%doc %{_mandir}/man1/aclocal.1.gz
%doc %{_mandir}/man1/automake.1.gz
/usr/share/aclocal
/usr/share/automake

%changelog -n automake
* Thu Aug 09 2001 - ro@suse.de
- fixed problem when installing lisp files
* Thu Jul 19 2001 - schwab@suse.de
- Update to automake 1.4-p5.
* Tue Jun 12 2001 - olh@suse.de
- recognize ppc64
* Tue Jun 12 2001 - olh@suse.de
- fix typo in automake-1.4-SuSE.patch
* Mon Jun 11 2001 - schwab@suse.de
- Recognize AC_PROG_LIBTOOL as well as AM_PROG_LIBTOOL.
* Mon Jun 11 2001 - schwab@suse.de
- Update to automake 1.4-p4.
* Sat May 26 2001 - schwab@suse.de
- Update to automake 1.4-p2.
* Wed May 09 2001 - schwab@suse.de
- Update to automake 1.4-p1.
* Fri May 04 2001 - schwab@suse.de
- Fix automake script for libtool 1.4.
* Fri Mar 30 2001 - schwab@suse.de
- config.sub: don't try to fill missing parts by looking at the host
  system.
* Thu Feb 15 2001 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Wed Sep 13 2000 - schwab@suse.de
- Add bzip2 patch from kkaempf@suse.de.
* Mon Aug 21 2000 - werner@suse.de
- Use vendor within config.sub even for s390
* Mon May 01 2000 - kukuk@suse.de
- Use mandir und infodir macro
* Wed Mar 29 2000 - bk@suse.de
- updated config.guess and config.sub for s390
* Wed Mar 01 2000 - werner@suse.de
- Add arm/ppc patch from teTeX sources
- Make VENDOR=suse if /etc/SuSE-release exists, remove `-gnu', and
  use $VERNDOR for all Linux architectures.
* Tue Feb 15 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Thu Jan 20 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 26 1999 - kukuk@suse.de
- Add automake.1, aclocal.1 and other documentation
- Add make check to build section
* Fri Feb 26 1999 - florian@suse.de
- update to 1.4
* Fri Jun 19 1998 - ro@suse.de
- update to 1.3 using dif from jurix
* Wed Jun 25 1997 - florian@suse.de
- update to version 1.2
* Thu Jan 02 1997 - florian@suse.de
  new version 1.0
